Create a withdrawal
curl --request POST \
--url https://api.engine.usesophic.com/accounts/{account_id}/withdrawals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "100.00",
"funding_account": "<string>"
}
'import requests
url = "https://api.engine.usesophic.com/accounts/{account_id}/withdrawals"
payload = {
"amount": "100.00",
"funding_account": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '100.00', funding_account: '<string>'})
};
fetch('https://api.engine.usesophic.com/accounts/{account_id}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": "<string>",
"amount": "100.00",
"created_at": "2023-11-07T05:31:56Z",
"currency": "EUR",
"funding_account": {
"bank_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "EUR",
"iban": "<string>",
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"is_verified": false,
"nickname": "<string>"
},
"id": "<string>",
"modified_at": "2023-11-07T05:31:56Z",
"status": "created",
"completed_at": "2026-07-14T09:34:12Z"
}{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Payments
Create a withdrawal
Initiates a withdrawal of cash out of the account.
POST
/
accounts
/
{account_id}
/
withdrawals
Create a withdrawal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Positive withdrawal amount with up to two decimal places.
Required range:
x > 0Example:
"100.00"
Supported account currency to withdraw without conversion.
Available options:
EUR, USD, GBP ID of the funding account that receives the withdrawal. Must be registered on the parent account.
Response
Created
The ID of the parent account.
The amount to withdraw.
Examples:
"100.00"
"50.12"
The currency to withdraw.
Available options:
EUR, USD, GBP The funding account that will receive the funds.
Show child attributes
Show child attributes
Unique resource identifier.
The status of the withdrawal.
Available options:
created, completed The time the withdrawal was completed.
Example:
"2026-07-14T09:34:12Z"